LoggingPoolFactory (Grails 3.1.7)
Date: 2016-05-19

Package: org.grails.async.factory.gpars

## [Groovy] Class LoggingPoolFactory

- org.grails.async.factory.gpars.LoggingPoolFactory

- All Implemented Interfaces and Traits:
    groovyx.gpars.util.PoolFactory

      @groovy.transform.CompileStatic
      class LoggingPoolFactory
      extends java.lang.Object

  A pool factory that logs error instead of printing them to standard err as is the default in GPars

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static org.apache.commons.logging.Log` | `LOG` |
    `static java.lang.reflect.Method` | `createThreadNameMethod` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `groovyx.gpars.scheduler.Pool` | `createPool()`
    `groovyx.gpars.scheduler.Pool` | `createPool(boolean daemon)`
    `groovyx.gpars.scheduler.Pool` | `createPool(int numberOfThreads)`
    `groovyx.gpars.scheduler.Pool` | `createPool(boolean daemon, int numberOfThreads)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final org.apache.commons.logging.Log LOG

    - #### public static java.lang.reflect.Method createThreadNameMethod

  - ### Method Detail

    - #### @java.lang.Override groovyx.gpars.scheduler.Pool createPool()

    - #### @java.lang.Override groovyx.gpars.scheduler.Pool createPool(boolean daemon)

    - #### @java.lang.Override groovyx.gpars.scheduler.Pool createPool(int numberOfThreads)

    - #### @java.lang.Override groovyx.gpars.scheduler.Pool createPool(boolean daemon, int numberOfThreads)